package com.realnet.forma.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.forma.Entity.Tesrt;
import com.realnet.forma.Services.TesrtService ;






@RequestMapping(value = "/Tesrt")
 @CrossOrigin("*") 
@RestController
public class TesrtController {
	@Autowired
	private TesrtService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Tesrt")
		  public Tesrt Savedata(@RequestBody Tesrt data) {
		Tesrt save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Tesrt/{id}")
	public  Tesrt update(@RequestBody Tesrt data,@PathVariable Integer id ) {
		Tesrt update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Tesrt/getall/page")
	public Page<Tesrt> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Tesrt> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Tesrt")
	public List<Tesrt> getdetails() {
		 List<Tesrt> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Tesrt")
	public List<Tesrt> getallwioutsec() {
		 List<Tesrt> get = Service.getdetails();		
		return get;
}
@GetMapping("/Tesrt/{id}")
	public  Tesrt  getdetailsbyId(@PathVariable Integer id ) {
		Tesrt  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Tesrt/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}